<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwDipInputDialog Panel</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=utf-8">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwDipInputDialog.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">
      This panel is used in fwDIP to collect various data from user. This help
      concerns the creation of the DataPoint Types.
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2">
      The naming scheme in DIP shall follow the following pattern:
<code>Domain/[SubDomain]/[SubSubDomain1]/[SubSubDomainx]/Item</code>

e.g. <code>ATLAS/Muon/EndCap/Rack/Rack53/Temperature</code>
<p />
In most cases there are many publications that have identical structure. In above case, probably all the <code>Temperature</code> publications for all the <code>Racks</code> (and even maybe all the racks in the subsystem) will have the same structure. Thus it is important to choose a good name for a WinCC OA <strong>DataPoint Type</strong> - that would be general (and not too general). Here are some examples:
<ul>
<li> <code>Temperature</code> - obviously <strong>BAD</strong> example, as it is too broad and general

</li>
<li> <code>ATLAS_Muon_EndCap_Rack_Rack53_Temperature</code> - another <strong>BAD</strong> example, as it is too detailed. Imagine you want then a DP of this type for <code>Rack54</code> and so on...
</li>
<li> The <strong>good</strong> name could be one of these (depending on the system):

<ul>
<li> <code>ATLAS_Muon_EndCap_Rack_Temperature</code> (all the racks in <code>Muon/Endcap</code> have the same structure for <code>Temperature</code> publications)
</li>
<li> <code>ATLAS_Muon_Rack_Temperature</code> (all the racks in <code>Muon</code> have the same structure for <code>Temperature</code> publications)

</li>
<li> <code>ATLAS_Rack_Temperature</code> (all the racks have the same structure for <code>Temperature</code> publications)
</li>
</ul>
</li>
</ul>
<p />
The names for the <strong>DataPoint Types</strong> must start with a <strong>capital</strong> letter. One should follow either the above 'underscore' convention or the <strong>InterCapsNamingConvention</strong>.

<p />
Please think twice before giving a name to a DPT.
<p />
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2">      
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<div align="center">
  <center>
<table border="0" style="border-collapse: collapse" bordercolor="#111111" cellpadding="0" cellspacing="0">
  <tbody>
    <tr>
      <td width="0" height="0">
        <div align="center">
          <img
 src="fwDipInputDialog.PNG" alt="Panel screenshot" width="441" height="217"></div>
      </td>
    </tr>
  </tbody>
</table>
  </center>
</div>
<p>&nbsp;</p>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td width="23%"><strong>$sText</strong></td>
      <td width="62%">Panel heading</td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td width="23%"><strong>$sText2</strong></td>
      <td width="62%">Text below the panel heading</td>
      <td width="15%">optional</td>
    </tr>
    <tr>
      <td width="23%"><strong>$sInitialText</strong></td>
      <td width="62%">Initial text that is displayed in the textfield</td>
      <td width="15%">optional</td>
    </tr>
    <tr>
      <td width="23%"><strong>$bShowHelp</strong></td>
      <td width="62%">Whether to display the help icon (pointing to this document)</td>
      <td width="15%">optional</td>
    </tr>
  </tbody>
</table>
<br>
</body>
</html>